Bug 1409523 - Number of bricks information in general sub tab of volume should be modified if user creates/syncs an arbiter volume from UI
Summary: Number of bricks information in general sub tab of volume should be modified ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: Frontend.WebAdmin
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: ovirt-4.1.0-rc
: 4.1.0
Assignee: Ramesh N
QA Contact: RamaKasturi
URL:
Whiteboard:
Depends On:
Blocks: Gluster-HC-2
TreeView+ depends on / blocked
 
Reported: 2017-01-02 11:26 UTC by RamaKasturi
Modified: 2017-02-01 14:43 UTC (History)
2 users (show)

Fixed In Version: ovirt-engine-4.1.0.2-0.1.el7.noarch
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-01 14:43:56 UTC
oVirt Team: Gluster
rule-engine: ovirt-4.1+
rnachimu: devel_ack+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 69416 master MERGED gluster: show arbiter flag for arbiter volumes 2017-01-10 09:05:50 UTC
oVirt gerrit 69820 ovirt-engine-4.1 MERGED gluster: show arbiter flag for arbiter volumes 2017-01-11 09:33:31 UTC

Description RamaKasturi 2017-01-02 11:26:12 UTC
Description of problem:
As of now user is able to create arbiter volume from UI but general tab of the volume needs to be modified to show Number of bricks for an arbiter volume and brick tab should have a label indicating which of the brick is arbiter in the volume.

Volume Name: engine
Type: Replicate
Volume ID: 6ddf5c6d-419f-4efe-8d8d-008a96eb1bf5
Status: Started
Snapshot Count: 0
Number of Bricks: 1 x (2 + 1) = 3
Transport-type: tcp
Bricks:
Brick1: 10.70.36.79:/rhgs/brick1/engine
Brick2: 10.70.36.80:/rhgs/brick1/engine
Brick3: 10.70.36.81:/rhgs/brick1/engine (arbiter)

gluster volume info displays as above. So it would be good to show number of bricks in the same format in volume general tab plus indicate which bricks is arbiter.

Version-Release number of selected component (if applicable):
ovirt-engine-4.1.0-0.3.beta2.el7.noarch

How reproducible:
Always

Steps to Reproduce:
1. Create an arbiter volume from cli or UI
2. 
3.

Actual results:
Number of bricks are shown as '3' and there is no indication in the bricks tab about which of the brick is arbiter.

Expected results:
Number of bricks should be shown in the format of how it is represented in gluster cli and there should be an indication in the bricks sub tab about which is an arbiter brick.

Additional info:

Comment 1 Ramesh N 2017-01-18 08:49:16 UTC
Following changes where made as part of fixing this bug.

1. Replica count will be changed to 2+1 in case of Arbiter volume.
2. Volume type will have a arbiter flag 
3. All arbiter bricks will have arbiter flag in the brick path.

Comment 2 Eyal Edri 2017-01-23 08:28:51 UTC
Agreed with the Gluster team we can move Gluster bugs to ON_QA on engine build.

Comment 3 RamaKasturi 2017-01-27 09:01:47 UTC
Verified and works fine with build ovirt-engine-4.1.0.2-0.1.el7.noarch.

I see that when user creates a arbiter volume from CLI or UI replica count in the general tab changes to 2+1 , volume Type is displayed as "replicate (arbiter)".

I see that arbiter bricks does have arbiter flag in the brick path when the volume is created from CLI.

I see that arbiter bricks does not have arbiter flag in the brick path when creating a arbiter volume from UI. Logged another bug https://bugzilla.redhat.com/show_bug.cgi?id=1417101 for that and marking this as verified.


Note You need to log in before you can comment on or make changes to this bug.